Name:           python-qiskit-braket-provider
Version:        0.4.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Qiskit-Braket provider to execute Qiskit programs on AWS quantum computing hardware devices through Amazon Braket.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            UNKNOWN
Source:         %{pypi_source qiskit_braket_provider}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'qiskit-braket-provider' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-qiskit-braket-provider
Summary:        %{summary}

%description -n python3-qiskit-braket-provider %_description


%prep
%autosetup -p1 -n qiskit_braket_provider-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-qiskit-braket-provider -f %{pyproject_files}


%changelog
%autochangelog